#
# spec file for package seahorse (Version 2.31.91)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           seahorse
BuildRequires:  fdupes
BuildRequires:  gconf2-devel
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gpg2
BuildRequires:  gpgme-devel
BuildRequires:  intltool
BuildRequires:  libavahi-glib-devel
BuildRequires:  libgcr-devel
BuildRequires:  libgnome-keyring-devel
BuildRequires:  libgp11-devel
BuildRequires:  libgpg-error-devel
BuildRequires:  libnotify-devel
BuildRequires:  libsoup-devel
BuildRequires:  libxml2-devel
BuildRequires:  openldap2-devel
BuildRequires:  openssh
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
License:        GPLv2+
Group:          Productivity/Security
Version:        2.31.91
Release:        1
Requires:       %{name}-lang = %{version}
Summary:        GNOME2 interface for gnupg
Source:         ftp://ftp.gnome.org/pub/gnome/sources/seahorse/%{name}-%{version}.tar.bz2
# PATCH-FIX-OPENSUSE seahorse-xsltproc-nonet.patch
Patch1:         seahorse-xsltproc-nonet.patch
Url:            http://seahorse.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%gconf_schemas_prereq

%description
Seahorse is a gnome2 interface for gnupg. It uses gpgme as the backend.

%package devel
License:        GPLv2+
Summary:        GNOME2 interface for gnupg
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}
Requires:       gconf2-devel

%description devel
Seahorse is a gnome2 interface for gnupg. It uses gpgme as the backend.

%lang_package
%prep
%setup
translation-update-upstream
%patch1 -p1

%build
%configure \
        --disable-scrollkeeper \
        --disable-schemas-install
make %{?jobs:-j%jobs}

%install
%makeinstall
%if 0%{?suse_version} <= 1120
%{__rm} %{buildroot}%{_datadir}/locale/en@shaw/LC_MESSAGES/*
%endif
%{__rm} -f %{buildroot}%{_libdir}/*.*a
%suse_update_desktop_file %{name} -G "Passwords and Encryption Keys" -N "Seahorse"
%find_lang %{name}
%find_gconf_schemas
cat %{name}.schemas_list >%{name}.lst
%fdupes $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%post
/sbin/ldconfig
if test -x usr/bin/update-mime-database ; then
  usr/bin/update-mime-database %{_prefix}/share/mime > /dev/null
fi

%postun
/sbin/ldconfig
if test -x usr/bin/update-mime-database ; then
  usr/bin/update-mime-database %{_prefix}/share/mime > /dev/null
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lst
%defattr(-,root,root)
%doc AUTHORS ChangeLog ChangeLog.pre-auto NEWS README
%defattr (-, root, root)
%{_prefix}/bin/*
%{_libdir}/seahorse
%{_libdir}/*.so.*
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/org.gnome.seahorse.service
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/man/man1/*.1.gz
%{_datadir}/pixmaps/seahorse
%{_datadir}/seahorse

%files lang -f %{name}.lang
# Temporary workaround to not depend on libgnome: own the directories
%defattr (-, root, root)
%dir %{_datadir}/gnome
%dir %{_datadir}/gnome/help

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/*.pc
%dir %{_includedir}/libcryptui
%{_includedir}/libcryptui/*.h
%{_libdir}/*.so
%{_datadir}/gtk-doc/html/libcryptui
%{_datadir}/gtk-doc/html/libseahorse
# Own these repositories to not depend on gtk-doc while building:
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html

%changelog
